
package de.ivu.elect.business.wahl.entity;

import static java.util.Arrays.asList;

import java.util.ArrayList;
import java.util.List;

public class WahlParameterWahlartErgebnisartVorlaeufigErfassungsartFilter implements WahlParameterWerteEnumValuesFilter<WahlartErgebnisartVorlaeufigErfassungsart> {

  public WahlParameterWahlartErgebnisartVorlaeufigErfassungsartFilter() {
    super();
  }

  @Override
  public List<WahlartErgebnisartVorlaeufigErfassungsart> filter(WahlParameter customParameter, List<WahlartErgebnisartVorlaeufigErfassungsart> values) {
    return new ArrayList<>(filterValuesInternal(customParameter.getWahl()));
  }

  protected List<WahlartErgebnisartVorlaeufigErfassungsart> filterValuesInternal(Wahl wahl) {
    return asList(WahlartErgebnisartVorlaeufigErfassungsart.defaultValue());
  }
}
